1.0
1.0
post /v1/hosted-zones
Description
Create a new hosted zone
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | HostedZoneCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | HostedZoneCreateResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/hosted-zones
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.0"
Request body
{
"description": "",
"email": "",
"name": "",
"tags": [],
"type": ""
}
Example HTTP response
Response 202
{
"action": "",
"attributes": "",
"created_at": "",
"description": "",
"email": "",
"hosted_zone_type": "",
"id": "",
"links": "",
"masters": [
""
],
"name": "",
"pool_id": "",
"project_id": "",
"serial": "",
"shared": "",
"status": "",
"transferred_at": "",
"ttl": "",
"type": "",
"updated_at": "",
"version": ""
}